Slide Decks
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
pageinteger ยท min: 1Optional
Page number (default 1)
pageSizeinteger ยท min: 1 ยท max: 100Optional
Items per page (default 20, max 100)
Responses
200
Paginated list of slide decks
application/json
totalCountintegerOptional
pageintegerOptional
pageSizeintegerOptional
totalPagesintegerOptional
401
Unauthorized
get
/slide-decks/getAuthorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
slideDeckIdstringRequired
Slide deck request identifier
Responses
200
Binary slide deck stream
application/octet-stream
string ยท binaryOptional
401
Unauthorized
404
Slide deck not found or not ready
502
Upstream asset unavailable
get
/slide-decks/{slideDeckId}/downloadAuthorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
slideDeckIdstringRequired
Slide deck request identifier
Responses
200
Inline slide deck stream
string ยท binaryOptional
401
Unauthorized
404
Slide deck not found or not ready
502
Upstream asset unavailable
get
/slide-decks/{slideDeckId}/previewQuery parameters
urlstring ยท uriRequired
Direct URL to the slide deck asset (limited to autocontentapi.blob.core.windows.net)
Responses
200
Inline slide deck stream
application/pdf
string ยท binaryOptional
400
Missing or invalid URL
502
Upstream asset unavailable
get
/slide-decks/public-previewLast updated